Transaction Log
curl --request GET \
--url https://api.roxom.com/v1/accounts/transaction-log \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Signature: <api-key>'{
"data": {
"logs": [
{
"amount": "<string>",
"balanceAfter": "<string>",
"balanceBefore": "<string>",
"createdAt": 123,
"fee": "<string>",
"pnl": "<string>",
"side": "<string>",
"symbol": "<string>",
"time": 123,
"totalValue": "<string>",
"txId": "<string>",
"fillPrice": "<string>",
"fundingRate": "<string>",
"isTaker": true,
"orderId": "<string>",
"positionAfter": "<string>",
"positionBefore": "<string>",
"price": "<string>",
"tradeId": "<string>",
"transactionTrigger": {
"OrderFill": {
"baseAmount": "<string>",
"createdAt": 123,
"fee": "<string>",
"feeAmount": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instrumentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isTaker": true,
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quoteAmount": "<string>",
"tradeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
],
"cursor": "<string>"
},
"error": true
}Accounts
Transaction Log
Retrieve comprehensive transaction history including order fills, deposits, withdrawals, funding fees, and insurance fund reimbursements with pagination support.
GET
/
v1
/
accounts
/
transaction-log
Transaction Log
curl --request GET \
--url https://api.roxom.com/v1/accounts/transaction-log \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Signature: <api-key>'{
"data": {
"logs": [
{
"amount": "<string>",
"balanceAfter": "<string>",
"balanceBefore": "<string>",
"createdAt": 123,
"fee": "<string>",
"pnl": "<string>",
"side": "<string>",
"symbol": "<string>",
"time": 123,
"totalValue": "<string>",
"txId": "<string>",
"fillPrice": "<string>",
"fundingRate": "<string>",
"isTaker": true,
"orderId": "<string>",
"positionAfter": "<string>",
"positionBefore": "<string>",
"price": "<string>",
"tradeId": "<string>",
"transactionTrigger": {
"OrderFill": {
"baseAmount": "<string>",
"createdAt": 123,
"fee": "<string>",
"feeAmount": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instrumentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isTaker": true,
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quoteAmount": "<string>",
"tradeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
],
"cursor": "<string>"
},
"error": true
}Documentation Index
Fetch the complete documentation index at: https://docs.roxom.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Your API key
The signature of the request
Query Parameters
Required range:
x >= 0Available options:
sats, btc Last modified on May 14, 2026
Was this page helpful?
⌘I